# Class SendResult

java.lang.Object
javax.websocket.SendResult

public final class SendResult extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendResult()`
  `SendResult(Throwable exception)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `getException()`
  `boolean`
  `isOK()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SendResult

    public SendResult(Throwable exception)

  - ### SendResult

    public SendResult()

- ## Method Details

  - ### getException

    public Throwable getException()

  - ### isOK

    public boolean isOK()